.in 5
NAME

stest - generate a file to test sort programs

SYNOPSIS

stest [-s <record size>] [ [-k <keys>] ] -n <number of records>

DESCRIPTION

stest generates a file of records to be used for testing or profiling
a general purpose sort program.

.ti -4
-s	if a single value is specified, use a fixed length record of
the indicated number of bytes. If a range of sizes is specified,
assume variable length records upto the maximum size in the range.
Default is a variable length text record terminated by a newline character.

.ti -4
-k	specify characters to be included in the record.
Within a key specification, any number of ranges may be
specified.  For example, if the sorting field will contain
any combination of lower case letters, digits and spaces,
use -k  ' ' '0'-'9' 'a'-'z'.
Characters will appear with in a record with a frequency proportional
to the number of times they appear in -k range.  For example
-k 'a'-'z' '\n' '\n' -s 2-100 -n 1000 will generate a file of
1000 records with characters from 'a' to 'z' appearing with equal
frequency.  Records will be approximately 14 byte long on the average
since the '\n' will account for 2 out of every 28 characters in the file.

.ti -4
-n indicates the number of records to be generated.  This is
obligatory and may be a 32 bit number.

.ti -4
<range>	a range is used to specify ranges of fields, displacements
within a field and collating values.  The common syntax is
<start>[-[<end>]] . <start> indicates a single value. <start>-
indicates a range beginning at <start> to a large number.
